#
# spec file for package kaffe (Version 1.0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gmp libjpeg libpng libungif libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kaffe
Copyright:    GPL
Group:        Development/Languages
URL:          http://www.kaffe.org/
Provides:     kaffe
Autoreqprov:  on
Summary:      A virtual machine to run Java(tm) code
Version:      1.0.6
Release:      149
Source: kaffe-%{version}.tar.bz2
Patch: kaffe-%{version}.dif
Patch1: kaffe-axp.dif
Patch2: kaffe-1.0.6-autoconf.patch
BuildRoot:    /var/tmp/%{name}-build
%prep
%setup 
%patch
%patch1 -p1
%patch2
%{?suse_update_config:%{suse_update_config -f libltdl}}
autoconf                                                                        
cd libltdl
autoconf                                                                        

%build
CFLAGS="$RPM_OPT_FLAGS -fsigned-char" ./configure --prefix=/usr/lib/kaffe \
	--exec-prefix=/usr/lib/kaffe %{_target_cpu}-suse-linux \
        --mandir=%{_mandir} 
make

%install
rm -rf $RPM_BUILD_ROOT                                                          
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/kaffe
%doc %{_mandir}/man1/kaffe.1.gz
%doc FAQ
%doc ChangeLog
%doc ChangeLog.1
%doc README
%doc license.terms
%doc README.SuSE
%doc test
%doc ENVIRONMENT

%description
Kaffe is a virtual machine design to execute Java byte code. Unlike
other virtual machines available, this machine performs "just-in-time"
code conversion from the abstract code to the host machine's native
code.
Please take a look at /usr/share/doc/packages/kaffe/*

Authors:
--------
    Tim Wilkinson <tim@transvirtual.com>

SuSE series: d


%changelog -n kaffe
* Mon Jul 30 2001 - nadvornik@suse.cz
- fixed to compile
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 09 2001 - nadvornik@suse.cz
- fixed to compile
* Tue Jan 23 2001 - stepan@suse.de
- Alpha compile fixes
* Wed Sep 27 2000 - nadvornik@suse.cz
- fixed usage of suse_update_config
- fixed Copyright: tag
* Thu Sep 14 2000 - nadvornik@suse.cz
- fixed README.SuSE
* Thu Sep 07 2000 - nadvornik@suse.cz
- used suse_update_config
- added libpng and libungif to neededforbuild
* Tue Sep 05 2000 - nadvornik@suse.cz
- update to 1.0.6
- fix for ppc
* Tue Jul 04 2000 - kukuk@suse.de
- Fix possible buffer overrun
- Add fix for SPARC
* Tue Apr 18 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Mar 01 2000 - choeger@suse.de
- added mandir
* Sat Dec 11 1999 - kukuk@suse.de
- Fix for SPARC
* Fri Oct 29 1999 - kukuk@suse.de
- Update to 1.0.5, fix for Alpha.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Dec 09 1998 - choeger@suse.de
- new version 1.0b3
* Mon Jul 20 1998 - choeger@suse.de
- applied the test subdirectory to the binary package
* Fri Jul 17 1998 - choeger@suse.de
- new package, first release of 1.0(b1)
* Wed Oct 29 1997 - choeger@suse.de
- new package, new version 0.9.2
* Tue Oct 07 1997 - choeger@suse.de
- new package with spec file and new version 0.9.1
* Tue Jun 03 1997 - choeger@suse.de
- created new package, 0.9.0
